/* psform.c -- Copyright (C)  2000-2008 Marco Cesati
 * Mon,  5 May 2003 18:38:28 +0200
 */

#include "config.h"

#include <stdio.h>
#if HAVE_UNISTD_H
#  include <unistd.h>
#endif
#if HAVE_STDLIB_H
#  include <stdlib.h>
#endif

#include "psform.h"

#include "psform0.h"
#include "psform1.h"

static const struct psform_t * psforms[] = 
    { &psform0, &psform1 };


const struct psform_t *psform;
    
static const int __max_psform_version = sizeof(psforms)/sizeof(psforms[0]) -1;

int max_psform_version(void)
{
    return __max_psform_version;
}

void set_psform_version(int n)
{
    if (n < 0 || n > __max_psform_version) {
        fprintf(stderr, 
            "PANIC: internal error, file %s, function %s(), line %d\n",
            __FILE__, __FUNCTION__, __LINE__);
        exit(EXIT_FAILURE);
    }
    psform = psforms[n];
}

