#ifndef __FORM0_H__
#define __FORM0_H__

#include "form.h"

static const double default_form_answer_vo[10] 
        = { 155.00, 140.00, 125.00, 110.00, 95.00,
             80.00,  65.00,  50.00,  35.00, 20.00 };
                                     
static const double default_form_answer_ho[5] 
        = { 30.25, 64.75, 99.75, 134.75, 169.75 };

const struct form_t default_form = { 
    .cross = {
        .width = 10.0,
        .height = 10.0,
        .hdist = 180.0,
        .vdist = 254.7
    },
    .code = {
        .width = 3.0,
        .height = 3.0,
        .max_threshold = 100.0,
        .min_threshold = 40.0,
        .step_threshold = 10.0,
        .skip_edge = .25,
        .vo = { 219.2, 214.2, 209.2 },
        .ho = { 175.9, 170.9, 165.9, 160.9, 155.9, 
                150.9, 145.9, 140.9, 135.9, 130.9 }
    },
    .answer = {
        .nquest = 10,
        .nanswer = 5,
        .width = 10.0,
        .height = 10.0,
        .threshold = 10.0,
        .skip_pixel = 3,
        .vo = default_form_answer_vo,
        .ho = default_form_answer_ho
    }
};

#endif
